Subject: Re: SCSI-controller?

From: [email-masked]

On Feb 17 1994, Michael L. Hitch wrote:

> > For the record: I also have a BOIL3 scsi controller (in my 2000, not
> > in my 4000). It is basically the hardware of a Supra Wordsync (aside:
> > I thought that word was trademarked by commodore, or somesuch)
> > with different firmware (it now supports autobooting and RigidDisk
> > Blocks, and a harddisk password, for instance).

>   If the BOIL3 scsi controller uses the 5380 chip like the Supra Wordsync,
> it shouldn't be too hard to add support for it on NetBSD.  I have a Supra
> Wordsync in a second machine that I was able to boot NetBSD with.  The
> Supra support is rather elementry at the momement, but I am still working
> in it.  I can add support for other 5380-type controllers with just a
> little basic information (although it's sometimes hard to come by).  I
> need to know the Manufacturer and Product codes of the board, the locations
> of the 5380 registers (relative to the start of the board address), and
> optionally any available information on psuedo-DMA access used by the board
> (or information on real DMA if the board uses it).

I'll have a look at my Boil controller in the weekend, and email back
the chip info. to you, if you want to have a go at it. It would really
be nice to avoid getting a new SCSI controller right away.. I'm not
sure how to get the register locations, but the Product and Manufactur
codes shouldn't take long to find..
The Boil3 doesn't use DMA, and I dont think it has the pseudo DMA of
the Supras neither..

If theres any other info that I might suply please let me know..

/Michael